'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    width: 160px;\n    height: 40px;\n    border-radius: 22px;\n    background: ', ';\n    border: none;\n    color: #fff;\n    font-size: 14px;\n    font-weight: 400;\n    transition: all 0.5s;\n    &:hover {\n        background: ', ';\n        cursor: pointer;\n    }\n    &:active {\n        outline: none;\n    }\n'], ['\n    width: 160px;\n    height: 40px;\n    border-radius: 22px;\n    background: ', ';\n    border: none;\n    color: #fff;\n    font-size: 14px;\n    font-weight: 400;\n    transition: all 0.5s;\n    &:hover {\n        background: ', ';\n        cursor: pointer;\n    }\n    &:active {\n        outline: none;\n    }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactRouterDom = require('react-router-dom');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _polished = require('polished');

var _colors = require('../../colors/colors');

var colors = _interopRequireWildcard(_colors);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Button = _styledComponents2.default.button(_templateObject, colors['red'], (0, _polished.darken)(0.1, colors['red']));

/** Button for navigating between routes */
var RouteButton = function RouteButton(_ref) {
    var buttonText = _ref.buttonText,
        url = _ref.url;

    return _react2.default.createElement(
        _reactRouterDom.Link,
        { to: url },
        _react2.default.createElement(
            Button,
            null,
            buttonText
        )
    );
};

RouteButton.propTypes = {
    buttonText: _propTypes2.default.string.isRequired,
    url: _propTypes2.default.string.isRequired
};

exports.default = RouteButton;