'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    display: block;\n    color: \'#333\';\n    margin: 0 0 4px 0;\n    font-weight: 600;\n    font-size: 14px;\n'], ['\n    display: block;\n    color: \'#333\';\n    margin: 0 0 4px 0;\n    font-weight: 600;\n    font-size: 14px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledLabel = _styledComponents2.default.label(_templateObject);

var Label = function Label(_ref) {
    var htmlFor = _ref.htmlFor,
        label = _ref.label;

    return _react2.default.createElement(
        StyledLabel,
        { htmlFor: htmlFor },
        label
    );
};

Label.propTypes = {
    htmlFor: _propTypes2.default.string,
    label: _propTypes2.default.string.isRequired
};

exports.default = Label;