'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CompleteIcon = function CompleteIcon(_ref) {
    var border = _ref.border,
        activeColor = _ref.activeColor,
        defaultColor = _ref.defaultColor,
        open = _ref.open,
        closed = _ref.closed;

    return _react2.default.createElement(_Icon2.default, {
        icon: 'complete',
        border: border,
        activeColor: activeColor,
        defaultColor: defaultColor,
        open: open,
        closed: closed
    });
};

CompleteIcon.propTypes = {
    open: _propTypes2.default.bool,
    closed: _propTypes2.default.bool,
    border: _propTypes2.default.bool,
    activeColor: _propTypes2.default.string,
    defaultColor: _propTypes2.default.string
};

exports.default = CompleteIcon;