'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n    box-sizing: border-box;\n    border-width: ', ';\n    border-style: ', ';\n    border-color: ', ';\n    background-color: ', ';\n    border-radius: 50%;\n    transition: all 0.5s;\n    fill: ', ';\n    &:hover {\n        cursor: ', ';\n        border-color: ', ';\n        fill: ', ';\n    }  \n'], ['\n    box-sizing: border-box;\n    border-width: ', ';\n    border-style: ', ';\n    border-color: ', ';\n    background-color: ', ';\n    border-radius: 50%;\n    transition: all 0.5s;\n    fill: ', ';\n    &:hover {\n        cursor: ', ';\n        border-color: ', ';\n        fill: ', ';\n    }  \n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _icons = require('../icons');

var _icons2 = _interopRequireDefault(_icons);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// const StyledSVG = styled.svg`
// border-width: ${({ border }) => border ? '3px' : 0};
// border-style: ${({ border }) => border ? 'solid' : 'none'};
// border-color: ${({ border, active, activeColor, borderColor }) => border ? active ? activeColor: borderColor: 'none'};
// background-color: ${({ backgroundColor }) => backgroundColor ? backgroundColor : 'none'};
// border-radius: ${({ round }) => round && '50%'};
// transition: all 0.5s;
// fill: ${({ active, activeColor, defaultColor }) => active ? activeColor: defaultColor};
// &:hover {
//     cursor: ${({ hover }) => hover ? 'pointer' : 'default'};
//     border-color: ${({ hover, activeColor, borderColor }) => hover ? activeColor : borderColor};
//     fill: ${({ hover, activeColor, defaultColor }) => hover ? activeColor : defaultColor};
// }
// `;

var StyledSVG = _styledComponents2.default.svg(_templateObject, function (_ref) {
    var border = _ref.border;
    return border ? '3px' : 0;
}, function (_ref2) {
    var border = _ref2.border;
    return border ? 'solid' : 'none';
}, function (_ref3) {
    var active = _ref3.active,
        activeColor = _ref3.activeColor,
        defaultColor = _ref3.defaultColor;
    return active ? activeColor : defaultColor;
}, function (_ref4) {
    var closed = _ref4.closed,
        defaultColor = _ref4.defaultColor;
    return closed && defaultColor;
}, function (_ref5) {
    var active = _ref5.active,
        activeColor = _ref5.activeColor,
        defaultColor = _ref5.defaultColor,
        closed = _ref5.closed;
    return closed ? '#fff' : active ? activeColor : defaultColor;
}, function (_ref6) {
    var hover = _ref6.hover;
    return hover ? 'pointer' : 'default';
}, function (_ref7) {
    var hover = _ref7.hover,
        activeColor = _ref7.activeColor,
        defaultColor = _ref7.defaultColor;
    return hover ? activeColor : defaultColor;
}, function (_ref8) {
    var hover = _ref8.hover,
        activeColor = _ref8.activeColor,
        defaultColor = _ref8.defaultColor;
    return hover ? activeColor : defaultColor;
});

var Icon = function (_React$Component) {
    _inherits(Icon, _React$Component);

    function Icon(props) {
        _classCallCheck(this, Icon);

        var _this = _possibleConstructorReturn(this, (Icon.__proto__ || Object.getPrototypeOf(Icon)).call(this, props));

        _this.state = {
            hovering: false
        };

        _this.onClick = _this.onClick.bind(_this);
        _this.onMouseOver = _this.onMouseOver.bind(_this);
        _this.onMouseOut = _this.onMouseOut.bind(_this);
        return _this;
    }

    _createClass(Icon, [{
        key: 'onClick',
        value: function onClick() {
            console.log('hello');
            this.props.onIconClick(this.props.callbackArg);
        }
    }, {
        key: 'onMouseOver',
        value: function onMouseOver() {
            this.setState({ hovering: true });
        }
    }, {
        key: 'onMouseOut',
        value: function onMouseOut() {
            this.setState({ hovering: false });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                icon = _props.icon,
                className = _props.className,
                width = _props.width,
                height = _props.height,
                style = _props.style,
                active = _props.active,
                hover = _props.hover,
                hoverText = _props.hoverText,
                onIconClick = _props.onIconClick,
                backgroundColor = _props.backgroundColor,
                borderColor = _props.borderColor,
                defaultColor = _props.defaultColor,
                activeColor = _props.activeColor,
                border = _props.border,
                round = _props.round;
            var hovering = this.state.hovering;

            var styles = getStyles();

            return _react2.default.createElement(
                'div',
                { style: Object.assign({}, styles.wrapper, style) },
                hovering && this.props.hoverText && _react2.default.createElement(
                    'span',
                    { style: styles.hoverBalloon },
                    this.props.hoverText
                ),
                _react2.default.createElement(
                    StyledSVG,
                    Object.assign({}, this.props, {
                        onClick: this.props.onIconClick && this.onClick,
                        onMouseOver: this.onMouseOver,
                        onMouseOut: this.onMouseOut,
                        width: this.props.width,
                        height: this.props.width,
                        xmlns: 'http://www.w3.org/2000/svg',
                        viewBox: '0 0 47.22 45' }),
                    _react2.default.createElement(
                        'title',
                        null,
                        'icon_add_bookmark'
                    ),
                    _react2.default.createElement('path', { d: _icons2.default[this.props.icon] })
                )
            );
        }
    }]);

    return Icon;
}(_react2.default.Component);

Icon.propTypes = {
    icon: _propTypes2.default.string.isRequired,
    open: _propTypes2.default.bool,
    closed: _propTypes2.default.bool,
    className: _propTypes2.default.string,
    hover: _propTypes2.default.bool,
    hoverText: _propTypes2.default.string,
    onIconClick: _propTypes2.default.func,
    defaultColor: _propTypes2.default.string,
    activeColor: _propTypes2.default.string,
    active: _propTypes2.default.bool,
    style: _propTypes2.default.object,
    border: _propTypes2.default.bool
};

Icon.defaultProps = {
    open: true,
    closed: false,
    defaultColor: '#b3b3b3',
    activeColor: '#333',
    hover: true,
    border: false,
    width: 30,
    height: 30
};

function getStyles() {
    return {
        wrapper: {
            position: 'relative'
        },
        hoverBalloon: {
            textAlign: 'center',
            minWidth: 60,
            width: 'fit-content',
            lineHeight: 1,
            position: 'absolute',
            padding: 5,
            borderRadius: 8,
            backgroundColor: 'rgba(0, 0, 0, 0.7)',
            boxShadow: '0 2px 4px rgba(0,0,0,0.3)',
            color: '#fff',
            left: -50,
            bottom: 35,
            fontFamily: "'Roboto Condensed', sans-serif",
            fontSize: 11,
            transition: 'all 2s'
        }
    };
}

exports.default = Icon;