'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CardBody = function CardBody(_ref) {
    var children = _ref.children,
        style = _ref.style,
        className = _ref.className;

    return _react2.default.createElement(
        'div',
        {
            style: Object.assign({ padding: '0px 15px 0 15px', width: '100%', height: '100%', boxSizing: 'border-box' }, style),
            className: className },
        children
    );
};

exports.default = CardBody;