'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    height: ', ';\n    border-radius: ', ';\n    min-width: ', ';\n    border: none;\n    &:hover {\n        cursor: pointer;\n    }\n    &:active {\n        outline: none;\n    }\n    &:focus {\n        outline: none;\n    }\n'], ['\n    height: ', ';\n    border-radius: ', ';\n    min-width: ', ';\n    border: none;\n    &:hover {\n        cursor: pointer;\n    }\n    &:active {\n        outline: none;\n    }\n    &:focus {\n        outline: none;\n    }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledButton = _styledComponents2.default.button(_templateObject, function (_ref) {
    var small = _ref.small,
        large = _ref.large;
    return small ? '30px' : large ? '50px' : '40px';
}, function (_ref2) {
    var small = _ref2.small,
        large = _ref2.large;
    return small ? '18px' : large ? '26px' : '22px';
}, function (_ref3) {
    var small = _ref3.small,
        large = _ref3.large;
    return small ? '100px' : large ? '160px' : '140px';
});

var SyncButton = function SyncButton(_ref4) {
    var buttonText = _ref4.buttonText,
        onClick = _ref4.onClick,
        small = _ref4.small,
        large = _ref4.large;

    return _react2.default.createElement(
        StyledButton,
        {
            small: small,
            large: large,
            type: 'button',
            onClick: onClick },
        buttonText
    );
};

SyncButton.propTypes = {
    buttonText: _propTypes2.default.string.isRequired,
    onClick: _propTypes2.default.func.isRequired
};

exports.default = SyncButton;