'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AddItemIcon = function AddItemIcon(_ref) {
    var defaultColor = _ref.defaultColor,
        activeColor = _ref.activeColor,
        _ref$hoverText = _ref.hoverText,
        hoverText = _ref$hoverText === undefined ? 'Add Item' : _ref$hoverText;

    return _react2.default.createElement(_Icon2.default, {
        icon: 'add_item',
        defaultColor: defaultColor,
        activeColor: activeColor,
        hoverText: hoverText,
        border: true
    });
};

AddItemIcon.propTypes = {
    defaultColor: _propTypes2.default.string,
    activeColor: _propTypes2.default.string,
    hoverText: _propTypes2.default.string
};

exports.default = AddItemIcon;