'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _colors = require('../../colors/colors');

var colors = _interopRequireWildcard(_colors);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var StatsIcon = function StatsIcon(_ref) {
    var onClick = _ref.onClick,
        active = _ref.active,
        category = _ref.category,
        className = _ref.className,
        style = _ref.style;

    return _react2.default.createElement(_Icon2.default, {
        icon: 'stats',
        className: className,
        style: style,
        onIconClick: onClick,
        active: active,
        defaultColor: '#ccc',
        activeColor: colors[category],
        hoverText: active ? "Hide exercise stats" : "Show exercise stats"

    });
};

StatsIcon.propTypes = {
    onClick: _propTypes2.default.func.isRequired,
    className: _propTypes2.default.string,
    style: _propTypes2.default.object,
    active: _propTypes2.default.bool.isRequired
};

exports.default = StatsIcon;