'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    background: #fff;\n    border-radius: 2px;    \n    position: relative;\n    box-shadow: 0 1px 1px rgba(0,0,0,0.2);\n'], ['\n    background: #fff;\n    border-radius: 2px;    \n    position: relative;\n    box-shadow: 0 1px 1px rgba(0,0,0,0.2);\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledCard = _styledComponents2.default.div(_templateObject);

/** Card */
var Card = function Card(_ref) {
    var className = _ref.className,
        children = _ref.children,
        style = _ref.style;

    return _react2.default.createElement(
        StyledCard,
        { className: className, style: style },
        children
    );
};

// const Card = ({ className, children }) => {    
//     return (
//         <div style={styles.container} className={className}>                
//             {children}           
//         </div>
//     );
// };

Card.propTypes = {
    className: _propTypes2.default.string
};

// const styles = {
//     container: {
//         background: '#fff',
//         borderRadius: 4,
//         width: 400,
//         height: 400,
//         position: 'relative'
//     }    
// };

exports.default = Card;